#
# spec file for package Ne10
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define         sover 10
Name:           Ne10
Version:        1.2.1
Release:        0
Summary:        Optimized software library project for the ARM Architecture
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://projectne10.github.com/Ne10/
Source:         https://github.com/projectNe10/Ne10/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:	armv4 aarch64

%description
An open optimized software library project for the ARM Architecture.

%package -n libNE10-%{sover}
Summary:        Optimized software library project for the ARM Architecture
Group:          Development/Libraries/C and C++

%description -n libNE10-%{sover}
An open optimized software library project for the ARM Architecture.

This package contains shared library.

%package -n libNE10_test%{sover}
Summary:        Optimized software library project for the ARM Architecture
Group:          Development/Libraries/C and C++

%description -n libNE10_test%{sover}
An open optimized software library project for the ARM Architecture. 

This package containc shared library with tests.

%package devel
Summary:        Optimized software library project for the ARM Architecture
Group:          Development/Libraries/C and C++
Requires:       libNE%{sover} = %{version}
Requires:       libNE_test%{sover} = %{version}

%description devel
An open optimized software library project for the ARM Architecture.

This package contains development files.

%prep
%setup -q

%build
%cmake \
  -DNE10_BUILD_STATIC=OFF \
  -DNE10_BUILD_SHARED=ON  \
  -DGNULINUX_PLATFORM=ON  \
  %ifarch aarch64
  -DNE10_LINUX_TARGET_ARCH=aarch64 \
  %else
  -DNE10_LINUX_TARGET_ARCH=armv7 \
  %endif
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}

%install
for i in inc/*.h; do
    install -p -D -m 0644 $i %{buildroot}/%{_includedir}/$(basename $i)
done

for i in build/modules/libNE*so.%{sover}; do
    install -p -D -m 0755 $i %{buildroot}/%{_libdir}/$(basename $i)
    ln -s -r %{buildroot}/%{_libdir}/$(basename $i) %{buildroot}/%{_libdir}/$(basename $i .so.%{sover}).so
done

%post -n libNE10-%{sover} -p /sbin/ldconfig
%post -n libNE10_test%{sover} -p /sbin/ldconfig
%postun -n libNE10-%{sover} -p /sbin/ldconfig
%postun -n libNE10_test%{sover} -p /sbin/ldconfig

%files -n libNE10-%{sover}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libNE10.so.%{sover}*

%files -n libNE10_test%{sover}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libNE10_test.so.%{sover}*

%files devel
%defattr(-,root,root)
%doc LICENSE
%{_includedir}/*.h
%{_libdir}/libNE10.so
%{_libdir}/libNE10_test.so

%changelog
